      SUBROUTINE LABPLT                                                 LABP001 
C          LABEL THE CURRENT PLOT                                       LABP002 
      DIMENSION LABEL(9),TYPE(3)                                        LABP003 
      COMMON /DD/ INT,IOR,IT,IS,IC,ICC,IX,IY                            LABP004 
      COMMON /CONST/ PI,PIT2,PID2,DEGS,DUM(4)                           LABP005 
      COMMON /FLG/ NTYP,NEWWR,NEWWP,PENET,LINES,IHOP,HPUNCH             LABP006 
      COMMON /WW/ ID(10),W0,W(400)                                      LABP007 
      EQUIVALENCE (EARTHR,W(2)),(F,W(6)),(AZ1,W(10)),(PLT,W(81)),       LABP008 
     1 (FACTR,W(82)),(TIC,W(87))                                        LABP009 
      LOGICAL NEWWR,NEWWP,PENET                                         LABP010 
      REAL LTIC                                                         LABP011 
      DATA (TYPE=8HEXTRAORD,8HNO FIELD,8HORDINARY)                      LABP012 
      IOR=IT=0                                                          LABP013 
      IS=2                                                              LABP014 
      IX=0     $  IY=1023  $  CALL DDTAB  $  CALL DDTEXT (7,ID)         LABP015 
      NDATE=IDATE(0)                                                    LABP016 
      CALL DDTEXT (1,NDATE)                                             LABP017 
      AZA=AZ1*DEGS                                                      LABP018 
      DTIC=TIC*EARTHR                                                   LABP019 
      ENCODE (72,1000,LABEL)  F,AZA,TYPE(NTYP),DTIC                     LABP020 
 1000 FORMAT (3HF =,F7.3,6H, AZ =,F7.2,2H, ,A8,2H, ,F7.2,24H KM BETWEEN LABP021 
     1TICK MARKS".)                                                     LABP022 
      IX=0     $  IY=991   $  CALL DDTAB  $  CALL DDTEXT (9,LABEL)      LABP023 
      IF (PLT.EQ.1.) RETURN                                             LABP024 
      LTIC=DTIC/FACTR                                                   LABP025 
      ENCODE (32,2000,LABEL)  LTIC                                      LABP026 
 2000 FORMAT (F7.2,24H KM BETWEEN TICK MARKS".)                         LABP027 
      IOR=1                                                             LABP028 
      IX=0     $  IY=0     $  CALL DDTAB  $  CALL DDTEXT (4,LABEL)      LABP029 
      IOR=0                                                             LABP030 
      RETURN                                                            LABP031 
         END                                                            LABP 32-
